KBookmarkGroup Class Reference

`#include <kbookmark.h>`

Inherits KBookmark.

## Public Member Functions

| KBookmarkGroup ()
| KBookmarkGroup (QDomElement elem)
QString | groupAddress () const
bool | isOpen () const
KBookmark | first () const
KBookmark | previous (const KBookmark &current) const
KBookmark | next (const KBookmark &current) const
KBookmarkGroup | createNewFolder (KBookmarkManager *mgr, const QString &text=QString::null, bool emitSignal=true)
KBookmark | createNewSeparator ()
KBookmark | addBookmark (KBookmarkManager *mgr, const KBookmark &bm, bool emitSignal=true)
KBookmark | addBookmark (KBookmarkManager *mgr, const QString &text, const KURL &url, const QString &icon=QString::null, bool emitSignal=true)
bool | moveItem (const KBookmark &item, const KBookmark &after)
void | deleteBookmark (KBookmark bk)
bool | isToolbarGroup () const
QDomElement | findToolbar () const
QValueList< KURL > | groupUrlList () const

## Protected Member Functions

QDomElement | nextKnownTag (QDomElement start, bool goNext) const

## Detailed Description

A group of bookmarks.

Definition at line 199 of file kbookmark.h.

## Constructor & Destructor Documentation

KBookmarkGroup::KBookmarkGroup | ( |  | ) |

Create an invalid group.

This is mostly for use in QValueList, and other places where we need a null group. Also used as a parent for a bookmark that doesn't have one (e.g. Netscape bookmarks)

Definition at line 35 of file kbookmark.cc.

KBookmarkGroup::KBookmarkGroup | ( | QDomElement | elem | ) |

Create a bookmark group as specified by the given element.

Definition at line 40 of file kbookmark.cc.

## Member Function Documentation

KBookmark KBookmarkGroup::addBookmark | ( | KBookmarkManager * | mgr,
|  | const KBookmark & | bm,
|  | bool | emitSignal = `true`
| ) |  |

Create a new bookmark, as the last child of this group Don't forget to use KBookmarkManager::self()->emitChanged( parentBookmark );.

Parameters

  mgr | the manager of the bookmark
  bm | the bookmark to add
  emitSignal | if true emit KBookmarkNotifier signal

Since
  3.4

Definition at line 178 of file kbookmark.cc.

KBookmark KBookmarkGroup::addBookmark | ( | KBookmarkManager * | mgr,
|  | const QString & | text,
|  | const KURL & | url,
|  | const QString & | icon = `QString::null`,
|  | bool | emitSignal = `true`
| ) |  |

Create a new bookmark, as the last child of this group Don't forget to use KBookmarkManager::self()->emitChanged( parentBookmark );.

Parameters

  mgr | the manager of the bookmark
  text | for the bookmark
  url | the URL that the bookmark points to
  icon | the name of the icon to associate with the bookmark. A suitable default will be determined from the URL if not specified.
  emitSignal | if true emit KBookmarkNotifier signal

Definition at line 195 of file kbookmark.cc.

KBookmarkGroup KBookmarkGroup::createNewFolder | ( | KBookmarkManager * | mgr,
|  | const QString & | text = `QString::null`,
|  | bool | emitSignal = `true`
| ) |  |

Create a new bookmark folder, as the last child of this group.

Parameters

  mgr | the manager of the bookmark
  text | for the folder. If empty, the user will be queried for it.
  emitSignal | if true emit KBookmarkNotifier signal

Definition at line 110 of file kbookmark.cc.

KBookmark KBookmarkGroup::createNewSeparator | ( |  | ) |

Create a new bookmark separator Don't forget to use KBookmarkManager::self()->emitChanged( parentBookmark );.

Definition at line 145 of file kbookmark.cc.

void KBookmarkGroup::deleteBookmark | ( | KBookmark | bk | ) |

Delete a bookmark - it has to be one of our children ! Don't forget to use KBookmarkManager::self()->emitChanged( parentBookmark );.

Definition at line 213 of file kbookmark.cc.

KBookmark KBookmarkGroup::first | ( |  | ) | const

Return the first child bookmark of this group.

Definition at line 73 of file kbookmark.cc.

QString KBookmarkGroup::groupAddress | ( |  | ) | const

Much like KBookmark::address, but caches the address into m_address.

Definition at line 45 of file kbookmark.cc.

QValueList< KURL > KBookmarkGroup::groupUrlList | ( |  | ) | const

Returns
  the list of urls of bookmarks at top level of the group

Since
  3.2

Definition at line 246 of file kbookmark.cc.

bool KBookmarkGroup::isOpen | ( |  | ) | const

Returns
  true if the bookmark folder is opened in the bookmark editor

Definition at line 52 of file kbookmark.cc.

bool KBookmarkGroup::isToolbarGroup | ( |  | ) | const

Returns
  true if this is the toolbar group

Definition at line 218 of file kbookmark.cc.

bool KBookmarkGroup::moveItem | ( | const KBookmark & | item,
|  | const KBookmark & | after
| ) |  |

Moves `item` after `after` (which should be a child of ours).

If item is null, `item` is moved as the first child. Don't forget to use KBookmarkManager::self()->emitChanged( parentBookmark );

Definition at line 155 of file kbookmark.cc.

KBookmark KBookmarkGroup::next | ( | const KBookmark & | current | ) | const

Return the next sibling of a child bookmark of this group.

Parameters

  current | has to be one of our child bookmarks.

Definition at line 83 of file kbookmark.cc.

KBookmark KBookmarkGroup::previous | ( | const KBookmark & | current | ) | const

Return the prevous sibling of a child bookmark of this group.

Parameters

  current | has to be one of our child bookmarks.

Definition at line 78 of file kbookmark.cc.

The documentation for this class was generated from the following files:

- kbookmark.h
- kbookmark.cc

KDE Home | KDE Accessibility Home | Description of Access Keys